Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002698TestLinkGeneralpublic2009-07-03 18:182010-11-14 12:07
Reporterkeeyou 
Assigned Toasimon 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 (Prague) 
Summary0002698: In execution and reports cannot filter out testcase failed in previous build
Description1. create a testcase
2. create test plan
3. assign testcase to the test plan
4. create build 1
5. execute testcase on build 1, report status: failed
6. close build 1
7. create build 2
8. execute testcase on build 2, report status: passed
9. enter execute again and set up filtering parameters:
build: 1
result: failed
10. After applying filter, no testcases were shown. It should be shown that testcase reported as failed on build 1.
11. Enter test reports and metrics
12. choose query metrics
13. select build 1
14. select "show executions of status" = failed
15. select "results set"=all results
16. submit query
17. the report is empty. It should return that one testcase failed on build 1.
18. choose test results matrix
19. on this report, the testcase is properly shown as failed on build 1 and passed on build 2.

I attach 5 screenshots showing how do i try to find that failed testcase in execution and on the reports.

TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browserall
PHP Version5.2.9
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon screen1.PNG [^] (84,421 bytes) 2009-07-03 18:18


png file icon screen2.PNG [^] (84,767 bytes) 2009-07-03 18:19


png file icon screen3.png [^] (90,911 bytes) 2009-07-03 18:19


png file icon screen4.PNG [^] (60,792 bytes) 2009-07-03 18:19


png file icon screen5.png [^] (102,932 bytes) 2009-07-03 18:19

- Relationships

-  Notes
(0007854)
keeyou (reporter)
2009-08-28 18:44

is there any chance for resolving this problem soon?
(0007863)
fman (administrator)
2009-08-29 00:20

@keeyou:
this not way to ask. (IMHO)
remember this is open source , means if you are not satisfied with our response time you can change the code yourself.
(0008011)
keeyou (reporter)
2009-09-30 00:59

fman, I understand it's opensource. But what's wrong in asking? Take it easy man, I'm not complaining, only asking. You're probably to tired, cos you're taking it personaly :} cool down and chill out.
(0008015)
fman (administrator)
2009-09-30 19:26

@Keeyou:
Yes I'm tired of users like you that report an issue and start asking again and again about when it will be solved.
Then just report issue and wait, and if you do not like "service" you are free to do not use Test Link anymore.
(0008055)
keeyou (reporter)
2009-10-07 14:14

@fman:
now, this is really impolite: "I'm tired of users like you".
but thank you for your criticism.
(0012208)
fman (administrator)
2010-10-31 17:50

Reminder sent to: asimon

can you check if this can be set to resolved?
(0012240)
asimon (developer)
2010-11-02 08:16

This is resolved.
(0012494)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2009-07-03 18:18 keeyou New Issue
2009-07-03 18:18 keeyou Browser => all
2009-07-03 18:18 keeyou PHP Version => 5.2.9
2009-07-03 18:18 keeyou File Added: screen1.PNG
2009-07-03 18:19 keeyou File Added: screen2.PNG
2009-07-03 18:19 keeyou File Added: screen3.png
2009-07-03 18:19 keeyou File Added: screen4.PNG
2009-07-03 18:19 keeyou File Added: screen5.png
2009-08-28 18:44 keeyou Note Added: 0007854
2009-08-29 00:20 fman Note Added: 0007863
2009-09-30 00:59 keeyou Note Added: 0008011
2009-09-30 19:26 fman Note Added: 0008015
2009-10-07 14:14 keeyou Note Added: 0008055
2010-10-31 17:50 fman Note Added: 0012208
2010-11-02 08:16 asimon Note Added: 0012240
2010-11-02 08:17 asimon Status new => resolved
2010-11-02 08:17 asimon Fixed in Version => 1.9 (Prague)
2010-11-02 08:17 asimon Resolution open => fixed
2010-11-02 08:17 asimon Assigned To => asimon
2010-11-14 12:07 fman Note Added: 0012494
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker